# $Id: smeserver-denyhosts.spec,v 1.22 2009/03/03 21:36:58 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-denyhosts
%define name smeserver-denyhosts
%define version 2.6
%define release 18
Name:                   %{name}
Version: 		%{version}
Release: 		%{release}%{?dist}
License: 		GPL
Group: 			Applications/System
Source: 		%{name}-%{version}.tgz
Patch0:                 smeserver-denyhosts-2.6-locale-2008-04-22.patch
Patch1:                 smeserver-denyhosts-2.6-locale-2008-04-23.patch
Patch2:	                smeserver-denyhosts-2.6-patch2.patch
Patch3:	                smeserver-denyhosts-2.6-patch3.patch
Patch4:                 smeserver-denyhosts-2.6-add2general.patch
Patch5:                 smeserver-denyhosts-2.6-locale-2008-05-05.patch
Patch6:                 smeserver-denyhosts-2.6-locale-2008-05-21.patch
Patch7:                 smeserver-denyhosts-2.6-locale-2008-06-25.patch
Patch8:                 smeserver-denyhosts-2.6-locale-2008-07-01.patch
Patch9: smeserver-denyhosts-2.6-locale-2008-10-15.patch
Patch10: smeserver-denyhosts-2.6-locale-2008-11-05.patch
Patch11: smeserver-denyhosts-2.6-locale-2009-01-31.patch
Patch12: smeserver-denyhosts-2.6-fixTypo.patch
Patch13: smeserver-denyhosts-2.6-locale-2009-03-01.patch
Patch14: smeserver-denyhosts-2.6-locale-2009-03-03.patch
Url: 			http://smeserver.pialasse.com/
BuildRoot:              /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires:          e-smith-devtools >= 1.13.1-03
Requires:               smeserver-release >= 7.0
Requires:               denyhosts >= 2.6
Requires:               e-smith-formmagick >= 1.4.0-12

%description
Integration package to mesh denyhosts with SME Server.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-17
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Mon Feb 16 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-16
- Fix typo in en-us locale [SME: 4932]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-15
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Wed Nov  5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-14
- Apply  5 Nov 2008 locale patch

* Wed Oct 15 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-13
- Apply 15 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-12
- Apply 1 July 2008 locale patch

* Wed Jun 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-11
- Actually apply 25 Jun 2008 locale patch, forgot to commit patch

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-10
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-9
- Apply 5 May 2008 locale patch

* Sun Apr 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-8
- Add common <base> tags to e-smith-formmagick's general
- Fix referrals to the SME Server Bug Tracker

* Tue Apr 24 2008 JP PIALASSE <tests@pialasse.Com> 2.6-7
- stop when disable service [SME: 4528]
- adding local 

* Wed Apr 23 2008 JP PIALASSE <tests@pialasse.com> 2.6-6
- Added 23 APril 2008 local patch
- changed fragment SMTP_FROM to add domain name
- changed fragment ADMIN_EMAIL
- added some FM in local to translate

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-5
- Added 22 April 2008 locale patch

* Tue Apr 22 2008 Shad L. Lords <slords@mail.com> 2.6-4.sme
- Pull out all denyhosts stuff
- Template needed files
- Add database defaults
- Split panel to use correct FormMagick style

* Mon Mar 31 2008 JP PIALASSE tests@pialasse.com  2.6-0.3
- bug in install scriptlet corrected
- bug about XML error on install corrected

* Sun Mar 30 2008 JP PIALASSE tests@pialasse.com  2.6-0.2
- incorrect template name for hosts.allow corrected

* Sat Mar 29 2008 JP PIALASSE tests@pialasse.com  2.6-0.1
- first package for SME from denyhosts src rpm for fedora core  4
- panel for server-manager
